ranges::views::exclusive_scan_base_fn Struct Reference
Inheritance diagram for ranges::views::exclusive_scan_base_fn:

## Public Member Functions

template<typename Rng , typename T , typename Fun = plus>
CPP_TEMPLATE_AUX_0 | c (requires ` exclusive_scan_constraints< Rng, T, Fun >) ccconstexpr exclusive_scan_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Fun | operator() (Rng &&rng, T init, Fun fun=Fun{}) const

## Public Attributes

CPP_TEMPLATE_AUX_0 | T